<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/aad/ttaad4120m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Logical Tables (ttaad4120m000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default"> 
                                 Use this session to specify logical tables. The logical tables have a different company number than the company number where the data has been physically stored. It is often used in financial packages.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">You can specify the modules, the tables, and the physical company for a logical company. What you specify for a table has a higher priority than what you specify for all tables in a module.</Paragraph>
			<TABLE border="1" borderstyle="default" space-and-orientation="indented-estimated"><TBODY><TR><TH colspan="4" rowspan="1">Example</TH>
					</TR>
					<TR><TH rowspan="1" colspan="1">Logical Comp.</TH>
						<TH rowspan="1" colspan="1">Table Selection</TH>
						<TH rowspan="1" colspan="1">Table/Module</TH>
						<TH rowspan="1" colspan="1">Physical Company</TH>
					</TR>
					<TR><TD rowspan="1" colspan="1">100</TD>
						<TD rowspan="1" colspan="1">Tables in Module</TD>
						<TD rowspan="1" colspan="1">tiitm</TD>
						<TD rowspan="1" colspan="1">500</TD>
					</TR>
					<TR><TD rowspan="1" colspan="1">100</TD>
						<TD rowspan="1" colspan="1">Specified Table</TD>
						<TD rowspan="1" colspan="1">tiitm001</TD>
						<TD rowspan="1" colspan="1">100</TD>
					</TR>
					<TR><TD rowspan="1" colspan="1">100</TD>
						<TD rowspan="1" colspan="1">Specified Table</TD>
						<TD rowspan="1" colspan="1">tccom000</TD>
						<TD rowspan="1" colspan="1">500</TD>
					</TR>
				</TBODY>
			</TABLE>
			<Paragraph class="Default">The tables of the tiitm module of the logical company 100 are physically stored under company 500, except for the tiitm001 table. The tccom000 table is also stored under company 500.</Paragraph>
			<Paragraph class="Default">After you have entered the data you have to convert the data to the runtime DD. The runtime data is stored in $BSE/lib/compnr6.2 file.</Paragraph>
			<List><ListIntro>Use the <GUIRef href="" role="menu">Specific</GUIRef> menu to:</ListIntro>
				<ListItem>Copy modules/tables from the <Link href="/baanerp/tt/glossary/glossary#100005" role="glossary">data dictionary</Link>.</ListItem>
				<ListItem>Rebuild the $BSE/lib/compnr6.2 file in the run-time data dictionary.</ListItem>
			</List>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">You can also define a physical company equal to the logical company. This is useful when you want to define an exception for a particular table in a module.</Paragraph>
			</Note>
		</GeneralSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/100005" role="manual">To define logical and physical company numbers</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/100014" role="manual">To define database information</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/tl/onlinemanual/000030" role="manual">Table sharing</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="ttaad420.lcmp"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Logical Company</Title>
			</Header>
			<FuncDesc>Specifies the company to which the table(s) belong. The data is physically stored in another company.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad420.tabg"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Table Selection</Title>
			</Header>
			<FuncDesc>Specifies how the tables are assigned to the logical company.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad420.tabl"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Table/Module</Title>
			</Header>
			<FuncDesc>Specifies the module or the table that is assigned to the logical company.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad420.fcmp"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Physical Company</Title>
			</Header>
			<FuncDesc>Specifies the physical company where the data of the specified table(s) is stored. The data is not stored in tables of the the logical company.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The physical company may be equal to the logical company. See this option to define exceptions for tables in a particular module, where all other tables in that module are linked to a physical company.</Paragraph>
			</SimpleSection>
		</FieldHelp>
	</Fields>
</Session>
